package com.ruoyi.iit.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 推送管理对象 iit_file_push
 *
 * @author Hao Li
 * @date 2025-04-11
 */
public class IitFilePush extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Excel(name = "主键ID")
    private Long id;

    /** 文件ID */
    @Excel(name = "文件ID")
    private Long fileId;

    private String fileName;

    private Integer fileType;

    private String fileRemark;

    /** 推送人数 */
    @Excel(name = "推送人数")
    private Integer userNumber;

    /** 推送人ID */
    @Excel(name = "推送人ID")
    private Long userId;

    /** 新增接口参数 推送至哪些用户 */
    private List<Long> userIds;

    /** 推送人 */
    @Excel(name = "推送人")
    private String userName;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Integer getFileType() {
        return fileType;
    }

    public String getFileRemark() {
        return fileRemark;
    }

    public void setFileRemark(String fileRemark) {
        this.fileRemark = fileRemark;
    }

    public void setFileType(Integer fileType) {
        this.fileType = fileType;
    }

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setFileId(Long fileId)
    {
        this.fileId = fileId;
    }

    public Long getFileId()
    {
        return fileId;
    }

    public void setUserNumber(Integer userNumber)
    {
        this.userNumber = userNumber;
    }

    public Integer getUserNumber()
    {
        return userNumber;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fileId", getFileId())
                .append("userNumber", getUserNumber())
                .append("createTime", getCreateTime())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("deptId", getDeptId())
                .toString();
    }
}
